INTERFACE
SUBROUTINE CUENTRTL&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & KK, KCBOT,&
 & LDCUM, LDWORK,&
 & PQSEN5, PAPH5, PGEOH5,&
 & PMFU5, PENTR5,&
 & PDMFEN5, PDMFDE5 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KK
INTEGER(KIND=JPIM),INTENT(IN) :: KCBOT(KLON)
LOGICAL ,INTENT(IN) :: LDCUM(KLON)
LOGICAL ,INTENT(IN) :: LDWORK
REAL(KIND=JPRB) ,INTENT(IN) :: PQSEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PENTR5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFEN5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFDE5(KLON)
END SUBROUTINE CUENTRTL
END INTERFACE
